Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.graphics.ColorState Class Reference
Inheritance diagram for com.foxit.sdk.pdf.graphics.ColorState:

## Public Member Functions
| ColorState (ColorState other)
| Constructor, with another color state object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Color | getFillColor ()
| Get fill color. More...
Color | getStrokeColor ()
| Get stroke color. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | setFillColor (Color color)
| Set fill color. More...
void | setStrokeColor (Color color)
| Set stroke color. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents PDF color state.

## Constructor & Destructor Documentation

## ◆ ColorState()

com.foxit.sdk.pdf.graphics.ColorState.ColorState | ( | ColorState | other | ) |

Constructor, with another color state object.

Parameters

  [in] | other | Another color state object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.graphics.ColorState.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFillColor()

Color com.foxit.sdk.pdf.graphics.ColorState.getFillColor | ( |  | ) |

Get fill color.

Returns
  Fill color.

## ◆ getStrokeColor()

Color com.foxit.sdk.pdf.graphics.ColorState.getStrokeColor | ( |  | ) |

Get stroke color.

Returns
  Stroke color.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.graphics.ColorState.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ setFillColor()

void com.foxit.sdk.pdf.graphics.ColorState.setFillColor | ( | Color | color | ) |

Set fill color.

Parameters

  [in] | color | A color to be set as fill color.

Returns
  None.

## ◆ setStrokeColor()

void com.foxit.sdk.pdf.graphics.ColorState.setStrokeColor | ( | Color | color | ) |

Set stroke color.

Parameters

  [in] | color | A color to be set as stroke color.

Returns
  None.